Package Scientific :: Package Geometry :: Module Objects3D :: Class Cone

[frames] | no frames]

# Class Cone

    GeometricalObject3D --+
                          |
                         Cone

Cone

Instance Methods

__init__(self, tip, axis, angle) |

`float` or `NoneType`

volume(self) Returns: the volume of the object. |

Inherited from `GeometricalObject3D`: `distanceFrom`, `hasPoint`, `intersectWith`

Method Details

### __init__(self, tip, axis, angle)
(Constructor)

Parameters:
  - `tip` (Scientific.Geometry.Vector) - the location of the tip
  - `axis` (Scientific.Geometry.Vector) - direction of the symmetry axis
  - `angle` (`float`) - the angle between the symmetry axis and the surface

### volume(self)

Returns: `float` or `NoneType`
  the volume of the object. The result is `None` for unbounded objects and zero for lower-dimensional objects.
Overrides: GeometricalObject3D.volume
  (inherited documentation)